#!/bin/sh

path=/usr/local/squid

case "$1" in
    start)
	/bin/echo "Starting squid."    
	$path/squidacc --collector < /usr/local/squid/logs/access.log &
	/usr/local/sbin/squid -D &
	;;
    faststart)
	/bin/echo "Starting squid."    
	$path/squidacc --collector < /usr/local/squid/logs/access.log &
	/usr/local/sbin/squid -D &
	;;	
    stop)
	/bin/echo "Stopping squid."
	/usr/local/sbin/squid -k kill
	/bin/rm /usr/local/squid/logs/squid.pid
	;;
    restart)
	/bin/echo "Stopping squid."    
	/usr/local/sbin/squid -k kill
	/bin/rm /usr/local/squid/logs/squid.pid	
	/bin/echo "Starting squid."    	
    	$path/squidacc --collector < /usr/local/squid/logs/access.log &
	/usr/local/sbin/squid -D &
	;;
esac


